<?php
/**
* Body Classes.
*
* @package Ghangri
*/
 
 if (!function_exists('ghangri_body_classes')) :

    function ghangri_body_classes($classes) {

        $ghangri_default = ghangri_get_default_theme_options();
        $ghangri_color_schema = get_theme_mod( 'ghangri_color_schema',$ghangri_default['ghangri_color_schema'] );

        global $post;

        
        if( is_singular('post') ){

            $ghangri_post_layout = get_post_meta( $post->ID, 'ghangri_post_layout', true );

            if( $ghangri_post_layout == '' || $ghangri_post_layout == 'global-layout' ){
                
                $ghangri_post_layout = get_theme_mod( 'ghangri_single_post_layout',$ghangri_default['ghangri_single_post_layout'] );

            }

            $classes[] = 'theme-single-'.esc_attr( $ghangri_post_layout );

            if( $ghangri_post_layout == 'layout-2' ){
                
                $ghangri_header_overlay = get_post_meta( $post->ID, 'ghangri_header_overlay', true );

                if( $ghangri_header_overlay == '' || $ghangri_header_overlay == 'global-layout' ){
                    $ghangri_post_layout2 = get_theme_mod( 'ghangri_single_post_layout',$ghangri_default['ghangri_single_post_layout'] );
                    if( $ghangri_post_layout2 == 'layout-2' ){
                        $ghangri_header_overlay = true;
                    }else{
                        $ghangri_header_overlay = false;
                    }
                }else{
                    $ghangri_header_overlay = true;
                }
                if( $ghangri_header_overlay ){
                    $classes[] = 'theme-single-header-overlay';
                }

            }

        }

        if( is_singular('page') ){

            $ghangri_page_layout = get_post_meta( $post->ID, 'ghangri_page_layout', true );

            if( $ghangri_page_layout == ''  ){
                
                $ghangri_page_layout = 'layout-1';

            }

            $classes[] = 'theme-single-'.esc_attr( $ghangri_page_layout );

            if( $ghangri_page_layout == 'layout-2' ){
                
                $ghangri_ed_header_overlay = get_post_meta( $post->ID, 'ghangri_ed_header_overlay', true );
                if( $ghangri_ed_header_overlay ){
                    $classes[] = 'theme-single-header-overlay';
                }

            }

        }
        // Adds a class of hfeed to non-singular pages.
        if ( !is_singular() ) {
            $classes[] = 'hfeed';
        }

        $classes[] = 'color-scheme-'.esc_attr( $ghangri_color_schema );

        return $classes;
    }

endif;

add_filter('body_class', 'ghangri_body_classes');