<?php
/**
* Color Settings.
*
* @package Ghangri
*/

$ghangri_default = ghangri_get_default_theme_options();

$wp_customize->add_section( 'color_scheme',
    array(
    'title'      => esc_html__( 'Color Scheme', 'ghangri' ),
    'priority'   => 60,
    'capability' => 'edit_theme_options',
    'panel'      => 'theme_colors_panel',
    )
);

// Color Scheme.
$wp_customize->add_setting(
    'ghangri_color_schema',
    array(
        'default' 			=> $ghangri_default['ghangri_color_schema'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'ghangri_sanitize_select'
    )
);
$wp_customize->add_control(
    new Ghangri_Custom_Radio_Color_Schema( 
        $wp_customize,
        'ghangri_color_schema',
        array(
            'settings'      => 'ghangri_color_schema',
            'section'       => 'color_scheme',
            'label'         => esc_html__( 'Color Scheme', 'ghangri' ),
            'choices'       => array(
                'default'  => array(
                	'color' => array('#ffffff','#000','#0027ff','#000'),
                	'title' => esc_html__('Default','ghangri'),
                ),
                'fancy'  => array(
                	'color' => array('#faf7f2','#017eff','#fc9285','#455d58'),
                	'title' => esc_html__('Fancy','ghangri'),
                ),
                'dark'  => array(
                    'color' => array('#222222','#007CED','#fb7268','#ffffff'),
                    'title' => esc_html__('Dark','ghangri'),
                ),
            )
        )
    )
);

$wp_customize->add_setting( 'ghangri_primary_color',
    array(
    'default'           => $ghangri_default['ghangri_primary_color'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'ghangri_primary_color', 
    array(
        'label'      => esc_html__( 'Primary Color', 'ghangri' ),
        'section'    => 'colors',
        'settings'   => 'ghangri_primary_color',
    ) ) 
);

$wp_customize->add_setting( 'ghangri_secondary_color',
    array(
    'default'           => $ghangri_default['ghangri_secondary_color'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'ghangri_secondary_color', 
    array(
        'label'      => esc_html__( 'Secondary Color', 'ghangri' ),
        'section'    => 'colors',
        'settings'   => 'ghangri_secondary_color',
    ) ) 
);

$wp_customize->add_setting( 'ghangri_general_color',
    array(
    'default'           => $ghangri_default['ghangri_general_color'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'ghangri_general_color', 
    array(
        'label'      => esc_html__( 'General Color', 'ghangri' ),
        'section'    => 'colors',
        'settings'   => 'ghangri_general_color',
    ) ) 
);

$wp_customize->add_setting(
    'ghangri_premium_notiece_color_schema',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    new Ghangri_Premium_Notiece_Control( 
        $wp_customize,
        'ghangri_premium_notiece_color_schema',
        array(
            'label'      => esc_html__( 'Color Schemes', 'ghangri' ),
            'settings' => 'ghangri_premium_notiece_color_schema',
            'section'       => 'color_scheme',
        )
    )
);


$wp_customize->add_setting(
    'ghangri_premium_notiece_color',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    new Ghangri_Premium_Notiece_Control( 
        $wp_customize,
        'ghangri_premium_notiece_color',
        array(
            'label'      => esc_html__( 'Color Options', 'ghangri' ),
            'settings' => 'ghangri_premium_notiece_color',
            'section'       => 'colors',
        )
    )
);