<?php
/**
* Homepage Settings.
*
* @package Ghangri
*/

$ghangri_default = ghangri_get_default_theme_options();

// Homepage Category section settings.
$wp_customize->add_section( 'homepage_category_Section',
    array(
    'title'      => esc_html__( 'Category Section Settings', 'ghangri' ),
    'capability' => 'edit_theme_options',
    'panel'      => 'homepage_option_panel',
    )
);

$wp_customize->add_setting('ed_category_section',
    array(
        'default' => $ghangri_default['ed_category_section'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'ghangri_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_category_section',
    array(
        'label' => esc_html__('Enable Category Section', 'ghangri'),
        'section' => 'homepage_category_Section',
        'type' => 'checkbox',
    )
);


$wp_customize->add_setting('ed_category_image_overlay',
    array(
        'default' => $ghangri_default['ed_category_image_overlay'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'ghangri_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_category_image_overlay',
    array(
        'label' => esc_html__('Enable Category Image Overlay', 'ghangri'),
        'section' => 'homepage_category_Section',
        'type' => 'checkbox',
    )
);


for ( $ghangri_j=1; $ghangri_j <=  3 ; $ghangri_j++ ) {
    $wp_customize->add_setting('select_category_for_cat_list_'. $ghangri_j,
        array(
            'capability'        => 'edit_theme_options',
            'sanitize_callback' => 'absint',
        )
    );
    $wp_customize->add_control(new Ghangri_Dropdown_Taxonomies_Control($wp_customize, 'select_category_for_cat_list_'. $ghangri_j,
        array(
            'label'           => esc_html__('Category To List', 'ghangri') . ' - ' . $ghangri_j ,
            'section'         => 'homepage_category_Section',
            'type'            => 'dropdown-taxonomies',
            'taxonomy'        => 'category',

        )));
}

$wp_customize->add_setting( 'category_title_text_color',
    array(
    'default'           => $ghangri_default['category_title_text_color'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize, 'category_title_text_color', 
    array(
        'label'      => esc_html__( 'Category Title Text Color', 'ghangri' ),
        'section'    => 'homepage_category_Section',
        'settings'   => 'category_title_text_color',
    ) ) 
);

// Homepage Slider section settings.
$wp_customize->add_section( 'homepage_slider_Section',
    array(
    'title'      => esc_html__( 'Slider Section Settings', 'ghangri' ),
    'capability' => 'edit_theme_options',
    'panel'      => 'homepage_option_panel',
    )
);

$wp_customize->add_setting('ed_slider_section',
    array(
        'default' => $ghangri_default['ed_slider_section'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'ghangri_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_slider_section',
    array(
        'label' => esc_html__('Enable Slider Section', 'ghangri'),
        'section' => 'homepage_slider_Section',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'number_of_slider',
    array(
        'default'           => $ghangri_default['number_of_slider'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'ghangri_sanitize_select',
    )
);
$wp_customize->add_control( 'number_of_slider',
    array(
        'label'    => esc_html__( 'Select no of slider', 'ghangri' ),
        'description'     => esc_html__( 'Please refresh to get actual no of page field below', 'ghangri' ),
        'section'  => 'homepage_slider_Section',
        'choices'               => array(
            '1' => esc_html__( '1', 'ghangri' ),
            '2' => esc_html__( '2', 'ghangri' ),
            '3' => esc_html__( '3', 'ghangri' ),
            '4' => esc_html__( '4', 'ghangri' ),
            '5' => esc_html__( '5', 'ghangri' ),
            '6' => esc_html__( '6', 'ghangri' ),
            ),
        'type'     => 'select',
    )
);

$slider_number = get_theme_mod( 'number_of_slider', $ghangri_default['number_of_slider'] );
for ( $ghangri_i=1; $ghangri_i <=  $slider_number ; $ghangri_i++ ) {
    $wp_customize->add_setting( 'select_page_for_slider_'. $ghangri_i, array(
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'ghangri_sanitize_dropdown_pages',
    ) );

    $wp_customize->add_control( 'select_page_for_slider_'. $ghangri_i, array(
        'input_attrs'       => array(
            'style'           => 'width: 50px;'
            ),
        'label'             => __( 'Select Slider Page', 'ghangri' ) . ' - ' . $ghangri_i ,
        'section'           => 'homepage_slider_Section',
        'type'              => 'dropdown-pages',
        'allow_addition' => true,
        )
    );
}

$wp_customize->add_setting('ed_slider_overlay',
    array(
        'default' => $ghangri_default['ed_slider_overlay'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'ghangri_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_slider_overlay',
    array(
        'label' => esc_html__('Enable Slider Overlay', 'ghangri'),
        'section' => 'homepage_slider_Section',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('ed_slider_post_excerpt',
    array(
        'default' => $ghangri_default['ed_slider_post_excerpt'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'ghangri_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_slider_post_excerpt',
    array(
        'label' => esc_html__('Enable Slider Excerpt Content', 'ghangri'),
        'section' => 'homepage_slider_Section',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('ed_slider_control_dot',
    array(
        'default' => $ghangri_default['ed_slider_control_dot'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'ghangri_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_slider_control_dot',
    array(
        'label' => esc_html__('Enable Dots', 'ghangri'),
        'section' => 'homepage_slider_Section',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'ghangri_slider_text_color',
    array(
    'default'           => $ghangri_default['ghangri_slider_text_color'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'ghangri_slider_text_color', 
    array(
        'label'      => esc_html__( 'Slider Text Color', 'ghangri' ),
        'section'    => 'homepage_slider_Section',
        'settings'   => 'ghangri_slider_text_color',
    ) ) 
);
// Homepage About section settings.
$wp_customize->add_section( 'homepage_about_Section',
    array(
    'title'      => esc_html__( 'About Section Settings', 'ghangri' ),
    'capability' => 'edit_theme_options',
    'panel'      => 'homepage_option_panel',
    )
);

$wp_customize->add_setting('ed_about_section',
    array(
        'default' => $ghangri_default['ed_about_section'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'ghangri_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_about_section',
    array(
        'label' => esc_html__('Enable About Section', 'ghangri'),
        'section' => 'homepage_about_Section',
        'type' => 'checkbox',
    )
);


$wp_customize->add_setting('about_section_title',
    array(
        'default'           => $ghangri_default['about_section_title'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control('about_section_title',
    array(
        'label'       => esc_html__('About Section Title', 'ghangri'),
        'section'     => 'homepage_about_Section',
        'type'        => 'text',
    )
);

$wp_customize->add_setting( 'select_page_for_about', array(
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'ghangri_sanitize_dropdown_pages',
) );

$wp_customize->add_control( 'select_page_for_about', array(
    'label'             => __( 'Select About Page', 'ghangri' ) ,
    'section'           => 'homepage_about_Section',
    'type'              => 'dropdown-pages',
    'allow_addition' => true,
    )
);

// Homepage testimonail section settings.
$wp_customize->add_section( 'homepage_testimonial_Section',
	array(
	'title'      => esc_html__( 'Testimonial Section Settings', 'ghangri' ),
	'capability' => 'edit_theme_options',
	'panel'      => 'homepage_option_panel',
	)
);

$wp_customize->add_setting('ed_testimonial_section',
    array(
        'default' => $ghangri_default['ed_testimonial_section'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'ghangri_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_testimonial_section',
    array(
        'label' => esc_html__('Enable Testimonial Section', 'ghangri'),
        'section' => 'homepage_testimonial_Section',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('testimonial_bg_image',
    array(
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'ghangri_sanitize_image',
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control($wp_customize, 'testimonial_bg_image',
        array(
            'label'       => esc_html__('Upload Section Background Image ', 'ghangri'),
            'section'     => 'homepage_testimonial_Section',
        )
    )
);

$wp_customize->add_setting('testimonial_section_title',
    array(
        'default'           => $ghangri_default['testimonial_section_title'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control('testimonial_section_title',
    array(
        'label'       => esc_html__('Section Title', 'ghangri'),
        'section'     => 'homepage_testimonial_Section',
        'type'        => 'text',
    )
);

$wp_customize->add_setting( 'number_of_testimonial',
    array(
        'default'           => $ghangri_default['number_of_testimonial'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'ghangri_sanitize_select',
    )
);
$wp_customize->add_control( 'number_of_testimonial',
    array(
        'label'    => esc_html__( 'Select no of slider', 'ghangri' ),
        'description'     => esc_html__( 'Please refresh to get actual no of page field below', 'ghangri' ),
        'section'  => 'homepage_testimonial_Section',
        'choices'               => array(
            '1' => esc_html__( '1', 'ghangri' ),
            '2' => esc_html__( '2', 'ghangri' ),
            '3' => esc_html__( '3', 'ghangri' ),
            '4' => esc_html__( '4', 'ghangri' ),
            '5' => esc_html__( '5', 'ghangri' ),
            '6' => esc_html__( '6', 'ghangri' ),
            ),
        'type'     => 'select',
    )
);

$testimonial_number = get_theme_mod( 'number_of_testimonial', $ghangri_default['number_of_testimonial'] );
for ( $ghangri_i=1; $ghangri_i <=  $testimonial_number ; $ghangri_i++ ) {
    $wp_customize->add_setting( 'select_page_for_testimonial_'. $ghangri_i, array(
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'ghangri_sanitize_dropdown_pages',
    ) );

    $wp_customize->add_control( 'select_page_for_testimonial_'. $ghangri_i, array(
        'input_attrs'       => array(
            'style'           => 'width: 50px;'
            ),
        'label'             => __( 'Select Testimonial Page', 'ghangri' ) . ' - ' . $ghangri_i ,
        'section'           => 'homepage_testimonial_Section',
        'type'              => 'dropdown-pages',
        'allow_addition' => true,
        )
    );
}

$wp_customize->add_setting( 'ghangri_testimonial_bg_color',
    array(
    'default'           => $ghangri_default['ghangri_testimonial_bg_color'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'ghangri_testimonial_bg_color', 
    array(
        'label'      => esc_html__( 'Testimonial Background Color', 'ghangri' ),
        'section'    => 'homepage_testimonial_Section',
        'settings'   => 'ghangri_testimonial_bg_color',
    ) ) 
);

// Homepage CTA section settings.
$wp_customize->add_section( 'homepage_cta_Section',
    array(
    'title'      => esc_html__( 'CTA Section Settings', 'ghangri' ),
    'capability' => 'edit_theme_options',
    'panel'      => 'homepage_option_panel',
    )
);

$wp_customize->add_setting('ed_cta_section',
    array(
        'default' => $ghangri_default['ed_cta_section'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'ghangri_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_cta_section',
    array(
        'label' => esc_html__('Enable CTA Section', 'ghangri'),
        'section' => 'homepage_cta_Section',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'cta_block_layout',
    array(
        'default'           => $ghangri_default['cta_block_layout'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'ghangri_sanitize_select',
    )
);
$wp_customize->add_control( 'cta_block_layout',
    array(
        'label'    => esc_html__( 'Select CTA Block Layout', 'ghangri' ),
        'section'  => 'homepage_cta_Section',
        'choices'               => array(
            'wrapper' => esc_html__( 'Block Layout', 'ghangri' ),
            'wrapper-fluid' => esc_html__( 'full-width Layout', 'ghangri' ),
            ),
        'type'     => 'select',
    )
);


$wp_customize->add_setting( 'select_page_for_cta', array(
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'ghangri_sanitize_dropdown_pages',
) );

$wp_customize->add_control( 'select_page_for_cta', array(
    'label'             => __( 'Select Call To Action Page', 'ghangri' ) ,
    'section'           => 'homepage_cta_Section',
    'type'              => 'dropdown-pages',
    'allow_addition' => true,
    )
);

$wp_customize->add_setting('ed_cta_image_overlay',
    array(
        'default' => $ghangri_default['ed_cta_image_overlay'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'ghangri_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_cta_image_overlay',
    array(
        'label' => esc_html__('Enable Section Overlay', 'ghangri'),
        'section' => 'homepage_cta_Section',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('ed_cta_post_excerpt',
    array(
        'default' => $ghangri_default['ed_cta_post_excerpt'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'ghangri_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_cta_post_excerpt',
    array(
        'label' => esc_html__('Enable CTA Excerpt Content', 'ghangri'),
        'section' => 'homepage_cta_Section',
        'type' => 'checkbox',
    )
);

/*Button Text*/
$wp_customize->add_setting('homepage_cta_button_text',
    array(
        'default'           => $ghangri_default['homepage_cta_button_text'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control('homepage_cta_button_text',
    array(
        'label'       => esc_html__('Related Post Button Text', 'ghangri'),
        'description' => esc_html__('Removing text will disable read more on the related post', 'ghangri'),
        'section'     => 'homepage_cta_Section',
        'type'        => 'text',
    )
);

$wp_customize->add_setting('homepage_cta_button_text_url',
    array(
        'default'           => $ghangri_default['homepage_cta_button_text_url'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control('homepage_cta_button_text_url',
    array(
        'label'       => esc_html__('Related Post Button URL', 'ghangri'),
        'section'     => 'homepage_cta_Section',
        'type'        => 'text',
    )
);
$wp_customize->add_setting('cta_link_tab',
    array(
        'default' => '',
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'ghangri_sanitize_checkbox',
    )
);

$wp_customize->add_control('cta_link_tab',
    array(
        'label' => esc_html__('Open Link In New Tab', 'ghangri'),
        'section' => 'homepage_cta_Section',
        'type' => 'checkbox',
    )
 );

$wp_customize->add_setting( 'homepage_cta_text_color',
    array(
    'default'           => $ghangri_default['homepage_cta_text_color'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize, 'homepage_cta_text_color', 
    array(
        'label'      => esc_html__( 'Section Text Color', 'ghangri' ),
        'section'    => 'homepage_cta_Section',
        'settings'   => 'homepage_cta_text_color',
    ) ) 
);

// Homepage Portfolio section settings.
$wp_customize->add_section( 'homepage_portfolio_Section',
    array(
    'title'      => esc_html__( 'Portfolio Section Settings', 'ghangri' ),
    'capability' => 'edit_theme_options',
    'panel'      => 'homepage_option_panel',
    )
);

$wp_customize->add_setting('ed_portfolio_section',
    array(
        'default' => $ghangri_default['ed_portfolio_section'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'ghangri_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_portfolio_section',
    array(
        'label' => esc_html__('Enable Portfolio Section', 'ghangri'),
        'section' => 'homepage_portfolio_Section',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('portfolio_section_title',
    array(
        'default'           => $ghangri_default['portfolio_section_title'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control('portfolio_section_title',
    array(
        'label'       => esc_html__('Section Title', 'ghangri'),
        'section'     => 'homepage_portfolio_Section',
        'type'        => 'text',
    )
);


$wp_customize->add_setting('portfolio_section_sub_title',
    array(
        'default'           => $ghangri_default['portfolio_section_sub_title'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control('portfolio_section_sub_title',
    array(
        'label'       => esc_html__('Section Sub Title', 'ghangri'),
        'section'     => 'homepage_portfolio_Section',
        'type'        => 'text',
    )
);

// Setting - drop down category for service.
$wp_customize->add_setting('select_category_for_portfolio',
    array(
        'default'           => $ghangri_default['select_category_for_portfolio'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(new Ghangri_Dropdown_Taxonomies_Control($wp_customize, 'select_category_for_portfolio',
    array(
        'label'           => esc_html__('Select Category for Portfolio', 'ghangri'),
        'section'         => 'homepage_portfolio_Section',
        'type'            => 'dropdown-taxonomies',
        'taxonomy'        => 'category',

    )));

$wp_customize->add_section( 'homepage_footer_recomend_section',
    array(
    'title'      => esc_html__( 'Footer  Section Settings', 'ghangri' ),
    'capability' => 'edit_theme_options',
    'panel'      => 'homepage_option_panel',
    )
);
// Setting - enable_footer_related_post.
$wp_customize->add_setting('enable_footer_related_post',
    array(
        'default'           => $ghangri_default['enable_footer_related_post'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'ghangri_sanitize_checkbox',
    )
);
$wp_customize->add_control('enable_footer_related_post',
    array(
        'label'    => esc_html__('Enable Footer Related Post', 'ghangri'),
        'section'  => 'homepage_footer_recomend_section',
        'type'     => 'checkbox',
    )
);

$wp_customize->add_setting('footer_related_post_title',
    array(
        'default'           => $ghangri_default['footer_related_post_title'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control('footer_related_post_title',
    array(
        'label'       => esc_html__('Related Post Section Title', 'ghangri'),
        'section'     => 'homepage_footer_recomend_section',
        'type'        => 'text',
    )
);

$wp_customize->add_setting('footer_related_post_sub_title',
    array(
        'default'           => $ghangri_default['footer_related_post_sub_title'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control('footer_related_post_sub_title',
    array(
        'label'       => esc_html__('Related Post Sub Title', 'ghangri'),
        'section'     => 'homepage_footer_recomend_section',
        'type'        => 'text',
    )
);

$wp_customize->add_setting('number_of_footer_related_post',
    array(
        'default'           => $ghangri_default['number_of_footer_related_post'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'ghangri_sanitize_select',
    )
);
$wp_customize->add_control('number_of_footer_related_post',
    array(
        'label'       => esc_html__('Select no of post', 'ghangri'),
        'section'     => 'homepage_footer_recomend_section',
        'choices'     => array(
            '1'          => esc_html__('1', 'ghangri'),
            '2'          => esc_html__('2', 'ghangri'),
            '3'          => esc_html__('3', 'ghangri'),
            '4'          => esc_html__('4', 'ghangri'),
            '5'          => esc_html__('5', 'ghangri'),
            '6'          => esc_html__('6', 'ghangri'),
            '7'          => esc_html__('7', 'ghangri'),
            '8'          => esc_html__('8', 'ghangri'),
            '9'          => esc_html__('9', 'ghangri'),
        ),
        'type'     => 'select',
    )
);


// Setting - drop down category for footer related post.
$wp_customize->add_setting('select_category_for_related_post',
    array(
        'default'           => $ghangri_default['select_category_for_related_post'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(new Ghangri_Dropdown_Taxonomies_Control($wp_customize, 'select_category_for_related_post',
    array(
        'label'           => esc_html__('Category for related post', 'ghangri'),
        'section'         => 'homepage_footer_recomend_section',
        'type'            => 'dropdown-taxonomies',
        'taxonomy'        => 'category',

    )));

/*Button Text*/
$wp_customize->add_setting('footer_related_post_button',
    array(
        'default'           => $ghangri_default['footer_related_post_button'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control('footer_related_post_button',
    array(
        'label'       => esc_html__('Related Post Button Text', 'ghangri'),
        'description' => esc_html__('Removing text will disable read more on the related post', 'ghangri'),
        'section'     => 'homepage_footer_recomend_section',
        'type'        => 'text',
    )
);

$wp_customize->add_setting('footer_related_post_button_url',
    array(
        'default'           => $ghangri_default['footer_related_post_button_url'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control('footer_related_post_button_url',
    array(
        'label'       => esc_html__('Related Post Button URL', 'ghangri'),
        'section'     => 'homepage_footer_recomend_section',
        'type'        => 'text',
    )
);



// Homepage Contact section settings.
$wp_customize->add_section( 'homepage_contact_Section',
    array(
    'title'      => esc_html__( 'Contact Section Settings', 'ghangri' ),
    'capability' => 'edit_theme_options',
    'panel'      => 'homepage_option_panel',
    )
);

$wp_customize->add_setting('ed_contact_section',
    array(
        'default' => $ghangri_default['ed_contact_section'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'ghangri_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_contact_section',
    array(
        'label' => esc_html__('Enable Contact Section', 'ghangri'),
        'section' => 'homepage_contact_Section',
        'type' => 'checkbox',
    )
);


$wp_customize->add_setting('contact_section_title',
    array(
        'default'           => $ghangri_default['contact_section_title'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control('contact_section_title',
    array(
        'label'       => esc_html__('Section Title', 'ghangri'),
        'section'     => 'homepage_contact_Section',
        'type'        => 'text',
    )
);

$wp_customize->add_setting('contact_section_location',
    array(
        'default'           => $ghangri_default['contact_section_location'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control('contact_section_location',
    array(
        'label'       => esc_html__('Contact Location', 'ghangri'),
        'section'     => 'homepage_contact_Section',
        'type'        => 'text',
    )
);

$wp_customize->add_setting('contact_section_email',
    array(
        'default'           => $ghangri_default['contact_section_email'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control('contact_section_email',
    array(
        'label'       => esc_html__('Contact Email', 'ghangri'),
        'section'     => 'homepage_contact_Section',
        'type'        => 'text',
    )
);

$wp_customize->add_setting('contact_section_number',
    array(
        'default'           => $ghangri_default['contact_section_number'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control('contact_section_number',
    array(
        'label'       => esc_html__('Contact Number', 'ghangri'),
        'section'     => 'homepage_contact_Section',
        'type'        => 'text',
    )
);

$wp_customize->add_setting('contact_section_bg_image',
    array(
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'ghangri_sanitize_image',
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control($wp_customize, 'contact_section_bg_image',
        array(
            'label'       => esc_html__('Upload Section Background Image ', 'ghangri'),
            'section'     => 'homepage_contact_Section',
        )
    )
);

$wp_customize->add_setting('contact_form_shortcode',
    array(
        'default' => '',
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control('contact_form_shortcode',
    array(
        'label' => esc_html__('Contact Form Shortcode', 'ghangri'),
        'section' => 'homepage_contact_Section',
        'type' => 'textarea',
    )
);


$wp_customize->add_setting( 'ghangri_contact_text_color',
    array(
    'default'           => $ghangri_default['ghangri_contact_text_color'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control( $wp_customize, 'ghangri_contact_text_color', 
    array(
        'label'      => esc_html__( 'Section Text Color', 'ghangri' ),
        'section'    => 'homepage_contact_Section',
        'settings'   => 'ghangri_contact_text_color',
    ) ) 
);
