<?php
/**
 * Pagination Settings
 *
 * @package Ghangri
 */

$ghangri_default = ghangri_get_default_theme_options();

// Pagination Section.
$wp_customize->add_section( 'ghangri_pagination_section',
	array(
	'title'      => esc_html__( 'Pagination Settings', 'ghangri' ),
	'priority'   => 20,
	'capability' => 'edit_theme_options',
	'panel'		 => 'theme_option_panel',
	)
);

// Pagination Layout Settings
$wp_customize->add_setting( 'ghangri_pagination_layout',
	array(
	'default'           => $ghangri_default['ghangri_pagination_layout'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'ghangri_pagination_layout',
	array(
	'label'       => esc_html__( 'Pagination Method', 'ghangri' ),
	'section'     => 'ghangri_pagination_section',
	'type'        => 'select',
	'choices'     => array(
		'next-prev' => esc_html__('Next/Previous Method','ghangri'),
		'numeric' => esc_html__('Numeric Method','ghangri'),
		'load-more' => esc_html__('Ajax Load More Button','ghangri'),
		'auto-load' => esc_html__('Ajax Auto Load','ghangri'),
	),
	)
);