<?php
/**
 * The template for displaying single posts and pages.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Ghangri
 * @since 1.0.0
 */
get_header();
    global $post;
    $ghangri_ed_post_rating = esc_html( get_post_meta( $post->ID, 'ghangri_ed_post_rating', true ) ); 
    $ghangri_default = ghangri_get_default_theme_options();
    $ghangri_post_sidebar = get_post_meta( $post->ID, 'ghangri_post_sidebar_option', true );
    $twp_navigation_type = get_post_meta( get_the_ID(), 'twp_disable_ajax_load_next_post', true );
    if( $twp_navigation_type == '' || $twp_navigation_type == 'global-layout' ){
        $twp_navigation_type = get_theme_mod('twp_navigation_type', $ghangri_default['twp_navigation_type']);
    }
    $ghangri_post_layout = get_post_meta( $post->ID, 'ghangri_post_layout', true );
    if( $ghangri_post_layout == '' || $ghangri_post_layout == 'global-layout' ){
        
        $ghangri_post_layout = get_theme_mod( 'ghangri_single_post_layout');
    }
    if( $ghangri_post_layout == 'layout-2' ){
        $single_layout_class = ' single-layout-banner';
    } 
    ?>

    <div class="wrapper">


            <div id="site-contentarea">
                <main id="main" class="site-main <?php if( $ghangri_ed_post_rating ){ echo 'ghangri-no-comment'; } ?>" role="main">

                    <?php
                    if( have_posts() ): ?>

                        <div class="article-wraper">


                            <?php while (have_posts()) :
                                the_post();

                                get_template_part('template-parts/content', 'single');

                                /**
                                 *  Output comments wrapper if it's a post, or if comments are open,
                                 * or if there's a comment number – and check for password.
                                **/

                                if ( ( is_single() || is_page() ) && ( comments_open() || get_comments_number() ) && !post_password_required() ) { ?>

                                    <div class="comments-wrapper">
                                        <?php comments_template(); ?>
                                    </div><!-- .comments-wrapper -->

                                <?php
                                }

                            endwhile; ?>

                        </div>

                    <?php
                    else :

                        get_template_part('template-parts/content', 'none');

                    endif;

                    /**
                     * Navigation
                     *
                     * @hooked ghangri_post_floating_nav - 10
                     * @hooked ghangri_related_posts - 20
                     * @hooked ghangri_single_post_navigation - 30
                    */

                    do_action('ghangri_navigation_action'); ?>

                </main>
            </div>




    </div>

<?php
get_footer();
